Skip to main content
POST
/
api
/
openapi
/
submit
curl --request POST \
  --url https://aireiter.com/api/openapi/submit \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
    "model": "gpt_image_2",
    "params": {
      "prompt": "An orange cat sitting on the windowsill watching the sunset, watercolor style",
      "aspect_ratio": "16:9"
    },
    "out_task_id": "my_task_123456"
  }'
curl --request POST \
  --url https://aireiter.com/api/openapi/submit \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
    "model": "gpt_image_2",
    "params": {
      "prompt": "An orange cat sitting on the windowsill watching the sunset, watercolor style",
      "size": "2048x1152"
    },
    "out_task_id": "my_task_size_001"
  }'
import requests

url = "https://aireiter.com/api/openapi/submit"

payload = {
    "model": "gpt_image_2",
    "params": {
        "prompt": "An orange cat sitting on the windowsill watching the sunset, watercolor style",
        "aspect_ratio": "16:9"
    },
    "out_task_id": "my_task_123456"
}

headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
const url = "https://aireiter.com/api/openapi/submit";

const payload = {
  model: "gpt_image_2",
  params: {
    prompt: "An orange cat sitting on the windowsill watching the sunset, watercolor style",
    aspect_ratio: "16:9"
  },
  out_task_id: "my_task_123456"
};

const headers = {
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
};

fetch(url, {
  method: "POST",
  headers: headers,
  body: JSON.stringify(payload)
})
  .then(response => response.json())
  .then(data => console.log(data))
  .catch(error => console.error('Error:', error));
package main

import (
    "bytes"
    "encoding/json"
    "fmt"
    "io/ioutil"
    "net/http"
)

func main() {
    url := "https://aireiter.com/api/openapi/submit"

    payload := map[string]interface{}{
        "model": "gpt_image_2",
        "params": map[string]interface{}{
            "prompt":       "An orange cat sitting on the windowsill watching the sunset, watercolor style",
            "aspect_ratio": "16:9",
        },
        "out_task_id": "my_task_123456",
    }

    jsonData, _ := json.Marshal(payload)

    req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData))
    req.Header.Set("Authorization", "Bearer <token>")
    req.Header.Set("Content-Type", "application/json")

    client := &http.Client{}
    resp, err := client.Do(req)
    if err != nil {
        panic(err)
    }
    defer resp.Body.Close()

    body, _ := ioutil.ReadAll(resp.Body)
    fmt.Println(string(body))
}
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.URI;

public class Main {
    public static void main(String[] args) throws Exception {
        String url = "https://aireiter.com/api/openapi/submit";

        String payload = """
        {
          "model": "gpt_image_2",
          "params": {
            "prompt": "An orange cat sitting on the windowsill watching the sunset, watercolor style",
            "aspect_ratio": "16:9"
          },
          "out_task_id": "my_task_123456"
        }
        """;

        HttpClient client = HttpClient.newHttpClient();
        HttpRequest request = HttpRequest.newBuilder()
            .uri(URI.create(url))
            .header("Authorization", "Bearer <token>")
            .header("Content-Type", "application/json")
            .POST(HttpRequest.BodyPublishers.ofString(payload))
            .build();

        HttpResponse<String> response = client.send(request,
            HttpResponse.BodyHandlers.ofString());

        System.out.println(response.body());
    }
}
<?php

$url = "https://aireiter.com/api/openapi/submit";

$payload = [
    "model" => "gpt_image_2",
    "params" => [
        "prompt" => "An orange cat sitting on the windowsill watching the sunset, watercolor style",
        "aspect_ratio" => "16:9"
    ],
    "out_task_id" => "my_task_123456"
];

$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($payload));
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    "Authorization: Bearer <token>",
    "Content-Type: application/json"
]);

$response = curl_exec($ch);
curl_close($ch);

echo $response;
?>
require 'net/http'
require 'json'
require 'uri'

url = URI("https://aireiter.com/api/openapi/submit")

payload = {
  model: "gpt_image_2",
  params: {
    prompt: "An orange cat sitting on the windowsill watching the sunset, watercolor style",
    aspect_ratio: "16:9"
  },
  out_task_id: "my_task_123456"
}

http = Net::HTTP.new(url.host, url.port)

request = Net::HTTP::Post.new(url)
request["Authorization"] = "Bearer <token>"
request["Content-Type"] = "application/json"
request.body = payload.to_json

response = http.request(request)
puts response.body
import Foundation

let url = URL(string: "https://aireiter.com/api/openapi/submit")!

let payload: [String: Any] = [
    "model": "gpt_image_2",
    "params": [
        "prompt": "An orange cat sitting on the windowsill watching the sunset, watercolor style",
        "aspect_ratio": "16:9"
    ],
    "out_task_id": "my_task_123456"
]

var request = URLRequest(url: url)
request.httpMethod = "POST"
request.setValue("Bearer <token>", forHTTPHeaderField: "Authorization")
request.setValue("application/json", forHTTPHeaderField: "Content-Type")
request.httpBody = try? JSONSerialization.data(withJSONObject: payload)

let task = URLSession.shared.dataTask(with: request) { data, response, error in
    if let error = error {
        print("Error: \(error)")
        return
    }

    if let data = data, let responseString = String(data: data, encoding: .utf8) {
        print(responseString)
    }
}

task.resume()
using System;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;

class Program
{
    static async Task Main(string[] args)
    {
        var url = "https://aireiter.com/api/openapi/submit";

        var payload = @"{
            ""model"": ""gpt_image_2"",
            ""params"": {
                ""prompt"": ""An orange cat sitting on the windowsill watching the sunset, watercolor style"",
                ""aspect_ratio"": ""16:9""
            },
            ""out_task_id"": ""my_task_123456""
        }";

        using var client = new HttpClient();
        client.DefaultRequestHeaders.Add("Authorization", "Bearer <token>");

        var content = new StringContent(payload, Encoding.UTF8, "application/json");
        var response = await client.PostAsync(url, content);
        var result = await response.Content.ReadAsStringAsync();

        Console.WriteLine(result);
    }
}
#include <stdio.h>
#include <curl/curl.h>

int main(void) {
    CURL *curl;
    CURLcode res;

    curl_global_init(CURL_GLOBAL_DEFAULT);
    curl = curl_easy_init();

    if(curl) {
        const char *url = "https://aireiter.com/api/openapi/submit";
        const char *payload = "{"
            "\"model\":\"gpt_image_2\","
            "\"params\":{"
                "\"prompt\":\"An orange cat sitting on the windowsill watching the sunset, watercolor style\","
                "\"aspect_ratio\":\"16:9\""
            "},"
            "\"out_task_id\":\"my_task_123456\""
        "}";

        struct curl_slist *headers = NULL;
        headers = curl_slist_append(headers, "Authorization: Bearer <token>");
        headers = curl_slist_append(headers, "Content-Type: application/json");

        curl_easy_setopt(curl, CURLOPT_URL, url);
        curl_easy_setopt(curl, CURLOPT_POSTFIELDS, payload);
        curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);

        res = curl_easy_perform(curl);

        if(res != CURLE_OK) {
            fprintf(stderr, "curl_easy_perform() failed: %s\n",
                    curl_easy_strerror(res));
        }

        curl_slist_free_all(headers);
        curl_easy_cleanup(curl);
    }

    curl_global_cleanup();
    return 0;
}
#import <Foundation/Foundation.h>

int main(int argc, const char * argv[]) {
    @autoreleasepool {
        NSURL *url = [NSURL URLWithString:@"https://aireiter.com/api/openapi/submit"];

        NSDictionary *payload = @{
            @"model": @"gpt_image_2",
            @"params": @{
                @"prompt": @"An orange cat sitting on the windowsill watching the sunset, watercolor style",
                @"aspect_ratio": @"16:9"
            },
            @"out_task_id": @"my_task_123456"
        };

        NSError *error;
        NSData *jsonData = [NSJSONSerialization dataWithJSONObject:payload
                                                          options:0
                                                            error:&error];

        NSMutableURLRequest *request = [NSMutableURLRequest requestWithURL:url];
        [request setHTTPMethod:@"POST"];
        [request setValue:@"Bearer <token>" forHTTPHeaderField:@"Authorization"];
        [request setValue:@"application/json" forHTTPHeaderField:@"Content-Type"];
        [request setHTTPBody:jsonData];

        NSURLSessionDataTask *task = [[NSURLSession sharedSession]
            dataTaskWithRequest:request
            completionHandler:^(NSData *data, NSURLResponse *response, NSError *error) {
                if (error) {
                    NSLog(@"Error: %@", error);
                    return;
                }
                NSString *result = [[NSString alloc] initWithData:data
                                                        encoding:NSUTF8StringEncoding];
                NSLog(@"%@", result);
            }];

        [task resume];
        [[NSRunLoop mainRunLoop] run];
    }
    return 0;
}
(* Requires cohttp and yojson libraries *)
open Lwt
open Cohttp
open Cohttp_lwt_unix

let url = "https://aireiter.com/api/openapi/submit"

let payload = {|{
  "model": "gpt_image_2",
  "params": {
    "prompt": "An orange cat sitting on the windowsill watching the sunset, watercolor style",
    "aspect_ratio": "16:9"
  },
  "out_task_id": "my_task_123456"
}|}

let () =
  let headers = Header.init ()
    |> fun h -> Header.add h "Authorization" "Bearer <token>"
    |> fun h -> Header.add h "Content-Type" "application/json"
  in
  let body = Cohttp_lwt.Body.of_string payload in

  let response = Client.post ~headers ~body (Uri.of_string url) >>= fun (resp, body) ->
    body |> Cohttp_lwt.Body.to_string >|= fun body_str ->
    print_endline body_str
  in
  Lwt_main.run response
import 'dart:convert';
import 'package:http/http.dart' as http;

void main() async {
  final url = Uri.parse('https://aireiter.com/api/openapi/submit');

  final payload = {
    'model': 'gpt_image_2',
    'params': {
      'prompt': 'An orange cat sitting on the windowsill watching the sunset, watercolor style',
      'aspect_ratio': '16:9'
    },
    'out_task_id': 'my_task_123456'
  };

  final response = await http.post(
    url,
    headers: {
      'Authorization': 'Bearer <token>',
      'Content-Type': 'application/json'
    },
    body: jsonEncode(payload),
  );

  print(response.body);
}
library(httr)
library(jsonlite)

url <- "https://aireiter.com/api/openapi/submit"

payload <- list(
  model = "gpt_image_2",
  params = list(
    prompt = "An orange cat sitting on the windowsill watching the sunset, watercolor style",
    aspect_ratio = "16:9"
  ),
  out_task_id = "my_task_123456"
)

response <- POST(
  url,
  add_headers(
    Authorization = "Bearer <token>",
    `Content-Type` = "application/json"
  ),
  body = toJSON(payload, auto_unbox = TRUE),
  encode = "raw"
)

cat(content(response, "text"))
{
    "statusCode": 200,
    "message": "",
    "data": {
        "out_task_id": "my_task_123456",
        "status": "pending",
        "estimated_credits": 100,
        "created_at": "2025-12-22T06:03:28.242Z"
    }
}
{
    "statusCode": 400,
    "message": "Invalid request parameters",
    "ok": false
}
{
  "error": {
    "code": 401,
    "message": "Authentication failed, please check your API key"
  }
}
{
  "error": {
    "code": 433,
    "message": "Insufficient account balance, please top up and try again"
  }
}
{
  "error": {
    "code": 500,
    "message": "Internal server error, please try again later"
  }
}

Authorizations

Authorization
string
required
All endpoints require authentication using a Bearer Token.Get the API Key:Visit the API Key Management Page to obtain your API Key.Add the following header in the request:
Authorization: Bearer YOUR_API_KEY

Body

model
string
required
Model NameFixed value: "gpt_image_2"
params
object
required
Model Parameters Object
out_task_id
string
required
Initiator Task IDUser-defined task identifier, required

Size × Resolution Mapping Table

aspect_ratio × resolution → Actual Pixels (13 ratios × 3 levels):
aspect_ratio1K2K4K
1:11024×1024 / 1254×12542048×20482880×2880
3:21536×10242048×13603520×2336
2:31024×15361360×20482336×3520
4:31024×7682048×15363312×2480
3:4768×10241536×20482480×3312
5:41280×1024 / 1448×10862560×20483216×2576
4:51024×1280 / 1122×14022048×25602576×3216
16:91536×864 / 1672×9412048×11523840×2160
9:16864×1536 / 941×16721152×20482160×3840
2:12048×1024 / 1774×8872688×13443840×1920
1:21024×2048 / 887×17741344×26881920×3840
21:92016×864 / 1915×8212688×11523840×1648
9:21864×2016 / 821×19151152×26881648×3840
3:2 / 2:3 @ 2K is actually 2048×1360 (approximate ratio, error < 0.5%); 4K now supports all 13 ratios.

Custom Size (size parameter)

When you need precise control over pixel dimensions, use the size parameter instead of the aspect_ratio + resolution combination. Valid range: Total pixels 655,360 ~ 8,294,400 (upstream official limit) Tested effective lower limit: Total pixels ≥ 2,088,960 (approximately 1440×1452 or 2048×1020 equivalent area) Below this lower limit, the upstream does not report an error but silently replaces it with a close proportion size of about 1.57M pixels.

Common size examples

size valueTotal pixelsRecommended use
2048x20484,194,304Square HD
2048x15363,145,7284:3 landscape
1536x20483,145,7283:4 portrait
2048x11522,359,29616:9 landscape
1152x20482,359,2969:16 portrait
3840x21608,294,4004K 16:9 (highest quality)
2688x13443,612,6722:1 wide landscape
Do not pass together with aspect_ratio or resolution, otherwise a 400 will be returned.

Response

out_task_id
string
Initiator task ID, which can be used to query the result
status
string
Initial status, fixed to "pending"
estimated_credits
number
Estimated consumed credits
created_at
string
Creation time (ISO format)
curl --request POST \
  --url https://aireiter.com/api/openapi/submit \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
    "model": "gpt_image_2",
    "params": {
      "prompt": "An orange cat sitting on the windowsill watching the sunset, watercolor style",
      "aspect_ratio": "16:9"
    },
    "out_task_id": "my_task_123456"
  }'
curl --request POST \
  --url https://aireiter.com/api/openapi/submit \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
    "model": "gpt_image_2",
    "params": {
      "prompt": "An orange cat sitting on the windowsill watching the sunset, watercolor style",
      "size": "2048x1152"
    },
    "out_task_id": "my_task_size_001"
  }'
import requests

url = "https://aireiter.com/api/openapi/submit"

payload = {
    "model": "gpt_image_2",
    "params": {
        "prompt": "An orange cat sitting on the windowsill watching the sunset, watercolor style",
        "aspect_ratio": "16:9"
    },
    "out_task_id": "my_task_123456"
}

headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
const url = "https://aireiter.com/api/openapi/submit";

const payload = {
  model: "gpt_image_2",
  params: {
    prompt: "An orange cat sitting on the windowsill watching the sunset, watercolor style",
    aspect_ratio: "16:9"
  },
  out_task_id: "my_task_123456"
};

const headers = {
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
};

fetch(url, {
  method: "POST",
  headers: headers,
  body: JSON.stringify(payload)
})
  .then(response => response.json())
  .then(data => console.log(data))
  .catch(error => console.error('Error:', error));
package main

import (
    "bytes"
    "encoding/json"
    "fmt"
    "io/ioutil"
    "net/http"
)

func main() {
    url := "https://aireiter.com/api/openapi/submit"

    payload := map[string]interface{}{
        "model": "gpt_image_2",
        "params": map[string]interface{}{
            "prompt":       "An orange cat sitting on the windowsill watching the sunset, watercolor style",
            "aspect_ratio": "16:9",
        },
        "out_task_id": "my_task_123456",
    }

    jsonData, _ := json.Marshal(payload)

    req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData))
    req.Header.Set("Authorization", "Bearer <token>")
    req.Header.Set("Content-Type", "application/json")

    client := &http.Client{}
    resp, err := client.Do(req)
    if err != nil {
        panic(err)
    }
    defer resp.Body.Close()

    body, _ := ioutil.ReadAll(resp.Body)
    fmt.Println(string(body))
}
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.URI;

public class Main {
    public static void main(String[] args) throws Exception {
        String url = "https://aireiter.com/api/openapi/submit";

        String payload = """
        {
          "model": "gpt_image_2",
          "params": {
            "prompt": "An orange cat sitting on the windowsill watching the sunset, watercolor style",
            "aspect_ratio": "16:9"
          },
          "out_task_id": "my_task_123456"
        }
        """;

        HttpClient client = HttpClient.newHttpClient();
        HttpRequest request = HttpRequest.newBuilder()
            .uri(URI.create(url))
            .header("Authorization", "Bearer <token>")
            .header("Content-Type", "application/json")
            .POST(HttpRequest.BodyPublishers.ofString(payload))
            .build();

        HttpResponse<String> response = client.send(request,
            HttpResponse.BodyHandlers.ofString());

        System.out.println(response.body());
    }
}
<?php

$url = "https://aireiter.com/api/openapi/submit";

$payload = [
    "model" => "gpt_image_2",
    "params" => [
        "prompt" => "An orange cat sitting on the windowsill watching the sunset, watercolor style",
        "aspect_ratio" => "16:9"
    ],
    "out_task_id" => "my_task_123456"
];

$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($payload));
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    "Authorization: Bearer <token>",
    "Content-Type: application/json"
]);

$response = curl_exec($ch);
curl_close($ch);

echo $response;
?>
require 'net/http'
require 'json'
require 'uri'

url = URI("https://aireiter.com/api/openapi/submit")

payload = {
  model: "gpt_image_2",
  params: {
    prompt: "An orange cat sitting on the windowsill watching the sunset, watercolor style",
    aspect_ratio: "16:9"
  },
  out_task_id: "my_task_123456"
}

http = Net::HTTP.new(url.host, url.port)

request = Net::HTTP::Post.new(url)
request["Authorization"] = "Bearer <token>"
request["Content-Type"] = "application/json"
request.body = payload.to_json

response = http.request(request)
puts response.body
import Foundation

let url = URL(string: "https://aireiter.com/api/openapi/submit")!

let payload: [String: Any] = [
    "model": "gpt_image_2",
    "params": [
        "prompt": "An orange cat sitting on the windowsill watching the sunset, watercolor style",
        "aspect_ratio": "16:9"
    ],
    "out_task_id": "my_task_123456"
]

var request = URLRequest(url: url)
request.httpMethod = "POST"
request.setValue("Bearer <token>", forHTTPHeaderField: "Authorization")
request.setValue("application/json", forHTTPHeaderField: "Content-Type")
request.httpBody = try? JSONSerialization.data(withJSONObject: payload)

let task = URLSession.shared.dataTask(with: request) { data, response, error in
    if let error = error {
        print("Error: \(error)")
        return
    }

    if let data = data, let responseString = String(data: data, encoding: .utf8) {
        print(responseString)
    }
}

task.resume()
using System;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;

class Program
{
    static async Task Main(string[] args)
    {
        var url = "https://aireiter.com/api/openapi/submit";

        var payload = @"{
            ""model"": ""gpt_image_2"",
            ""params"": {
                ""prompt"": ""An orange cat sitting on the windowsill watching the sunset, watercolor style"",
                ""aspect_ratio"": ""16:9""
            },
            ""out_task_id"": ""my_task_123456""
        }";

        using var client = new HttpClient();
        client.DefaultRequestHeaders.Add("Authorization", "Bearer <token>");

        var content = new StringContent(payload, Encoding.UTF8, "application/json");
        var response = await client.PostAsync(url, content);
        var result = await response.Content.ReadAsStringAsync();

        Console.WriteLine(result);
    }
}
#include <stdio.h>
#include <curl/curl.h>

int main(void) {
    CURL *curl;
    CURLcode res;

    curl_global_init(CURL_GLOBAL_DEFAULT);
    curl = curl_easy_init();

    if(curl) {
        const char *url = "https://aireiter.com/api/openapi/submit";
        const char *payload = "{"
            "\"model\":\"gpt_image_2\","
            "\"params\":{"
                "\"prompt\":\"An orange cat sitting on the windowsill watching the sunset, watercolor style\","
                "\"aspect_ratio\":\"16:9\""
            "},"
            "\"out_task_id\":\"my_task_123456\""
        "}";

        struct curl_slist *headers = NULL;
        headers = curl_slist_append(headers, "Authorization: Bearer <token>");
        headers = curl_slist_append(headers, "Content-Type: application/json");

        curl_easy_setopt(curl, CURLOPT_URL, url);
        curl_easy_setopt(curl, CURLOPT_POSTFIELDS, payload);
        curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);

        res = curl_easy_perform(curl);

        if(res != CURLE_OK) {
            fprintf(stderr, "curl_easy_perform() failed: %s\n",
                    curl_easy_strerror(res));
        }

        curl_slist_free_all(headers);
        curl_easy_cleanup(curl);
    }

    curl_global_cleanup();
    return 0;
}
#import <Foundation/Foundation.h>

int main(int argc, const char * argv[]) {
    @autoreleasepool {
        NSURL *url = [NSURL URLWithString:@"https://aireiter.com/api/openapi/submit"];

        NSDictionary *payload = @{
            @"model": @"gpt_image_2",
            @"params": @{
                @"prompt": @"An orange cat sitting on the windowsill watching the sunset, watercolor style",
                @"aspect_ratio": @"16:9"
            },
            @"out_task_id": @"my_task_123456"
        };

        NSError *error;
        NSData *jsonData = [NSJSONSerialization dataWithJSONObject:payload
                                                          options:0
                                                            error:&error];

        NSMutableURLRequest *request = [NSMutableURLRequest requestWithURL:url];
        [request setHTTPMethod:@"POST"];
        [request setValue:@"Bearer <token>" forHTTPHeaderField:@"Authorization"];
        [request setValue:@"application/json" forHTTPHeaderField:@"Content-Type"];
        [request setHTTPBody:jsonData];

        NSURLSessionDataTask *task = [[NSURLSession sharedSession]
            dataTaskWithRequest:request
            completionHandler:^(NSData *data, NSURLResponse *response, NSError *error) {
                if (error) {
                    NSLog(@"Error: %@", error);
                    return;
                }
                NSString *result = [[NSString alloc] initWithData:data
                                                        encoding:NSUTF8StringEncoding];
                NSLog(@"%@", result);
            }];

        [task resume];
        [[NSRunLoop mainRunLoop] run];
    }
    return 0;
}
(* Requires cohttp and yojson libraries *)
open Lwt
open Cohttp
open Cohttp_lwt_unix

let url = "https://aireiter.com/api/openapi/submit"

let payload = {|{
  "model": "gpt_image_2",
  "params": {
    "prompt": "An orange cat sitting on the windowsill watching the sunset, watercolor style",
    "aspect_ratio": "16:9"
  },
  "out_task_id": "my_task_123456"
}|}

let () =
  let headers = Header.init ()
    |> fun h -> Header.add h "Authorization" "Bearer <token>"
    |> fun h -> Header.add h "Content-Type" "application/json"
  in
  let body = Cohttp_lwt.Body.of_string payload in

  let response = Client.post ~headers ~body (Uri.of_string url) >>= fun (resp, body) ->
    body |> Cohttp_lwt.Body.to_string >|= fun body_str ->
    print_endline body_str
  in
  Lwt_main.run response
import 'dart:convert';
import 'package:http/http.dart' as http;

void main() async {
  final url = Uri.parse('https://aireiter.com/api/openapi/submit');

  final payload = {
    'model': 'gpt_image_2',
    'params': {
      'prompt': 'An orange cat sitting on the windowsill watching the sunset, watercolor style',
      'aspect_ratio': '16:9'
    },
    'out_task_id': 'my_task_123456'
  };

  final response = await http.post(
    url,
    headers: {
      'Authorization': 'Bearer <token>',
      'Content-Type': 'application/json'
    },
    body: jsonEncode(payload),
  );

  print(response.body);
}
library(httr)
library(jsonlite)

url <- "https://aireiter.com/api/openapi/submit"

payload <- list(
  model = "gpt_image_2",
  params = list(
    prompt = "An orange cat sitting on the windowsill watching the sunset, watercolor style",
    aspect_ratio = "16:9"
  ),
  out_task_id = "my_task_123456"
)

response <- POST(
  url,
  add_headers(
    Authorization = "Bearer <token>",
    `Content-Type` = "application/json"
  ),
  body = toJSON(payload, auto_unbox = TRUE),
  encode = "raw"
)

cat(content(response, "text"))
{
    "statusCode": 200,
    "message": "",
    "data": {
        "out_task_id": "my_task_123456",
        "status": "pending",
        "estimated_credits": 100,
        "created_at": "2025-12-22T06:03:28.242Z"
    }
}
{
    "statusCode": 400,
    "message": "Invalid request parameters",
    "ok": false
}
{
  "error": {
    "code": 401,
    "message": "Authentication failed, please check your API key"
  }
}
{
  "error": {
    "code": 433,
    "message": "Insufficient account balance, please top up and try again"
  }
}
{
  "error": {
    "code": 500,
    "message": "Internal server error, please try again later"
  }
}